curl --request GET \
--url https://api.orgnise.in/collections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.orgnise.in/collections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orgnise.in/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "1",
"name": "My Collection",
"object": "collection",
"createdAt": "2021-01-01T00:00:00.000Z",
"updatedAt": "2021-01-01T00:00:00.000Z",
"team": "some-team-id",
"workspace": "some-workspace-id",
"meta": {
"title": "My Collection",
"slug": "my-collection"
}
}
]{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#not_found"
}
}{
"error": {
"code": "conflict",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#conflict"
}
}{
"error": {
"code": "invite_expired",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#invite_expired"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#unprocessable_entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#rate_limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#internal_server_error"
}
}Retrieve a list of collections
Retrieve a list of collections of the workspace.
Authorizations
Default authentication mechanism
Path Parameters
The slug of the team.
The slug of the workspace.
Response
A list of collections
The id of the collection/page.
The name of the collection/page.
The team Id of the collection/page belongs to.
The workspace Id of the collection/page belongs to.
The meta of the team.
Show child attributes
Show child attributes
The date and time the collection/page was created.
The date and time the collection/page was last updated.
Object describes the type of the collection. Collections will be of type 'collection' and pages will be of type 'item'.
The parent collection id.
The children of the collection.
The content of the page. This will be a JSON object. if the object is a collection, this will be empty.
Was this page helpful?